/* (C) Chronoma e.U. 
   Dieses Programmblock ist als Beispiel gedacht um den Datentransfer 
   an Chronoma EPU auf Clientseite zu importieren
   
   Suche nach //TODO:um die nötigen Anpassungen durchzuführen
    
   Anmerkung:
   * Die Seite schickt ein XMLHTTPRequest an app.chronoma.at
   * Dies wird im Normalfall immer abgeschickt
   * Um die Antwort zu empfangen ist aber die Seite freizuschalten
   * Sonst wird eine generische Antwort generiert
*/

//TODO:  CRMKey muss angepasst werden
var CRMKey = '12345';
var server = 'https://app.chronoma.at';

function sendData(ziel)
{
	setWaitStyle(true);
	scriptblock = document.createElement("script");
	scriptblock.src = ziel + "?json=" + createJSON();
	document.body.appendChild (scriptblock);	
}

//TODO: Wenn Sie nicht alle Daten schicken wollen, dann können sie die Daten auch händisch so aufbereiten
//		EPU nimmt nur die Daten die es benötigt
function createJSON()
{
	var data = {};
	var objs = document.getElementsByTagName("input");
	var i;	
	
	data["key"] = (data["key"] || []).concat(CRMKey);	
	
	for (i = 0;i < objs.length;i++)
	{
		if (objs[i].type == "checkbox" || objs[i].type == "radio" )
		{
			if (objs[i].checked)
			{												
				data[objs[i].name] = (data[objs[i].name] || []).concat(objs[i].value);
			}
		}		
		else
		{
			data[objs[i].name] = (data[objs[i].name] || []).concat(objs[i].value);			
		}
	}
	var objs = document.getElementsByTagName("select");
	var i;
	for (i = 0;i < objs.length;i++)
	{		
		data[objs[i].name] = (data[objs[i].name] || []).concat(objs[i].value);	
	}
	var objs = document.getElementsByTagName("textarea");
	var i;
	for (i = 0;i < objs.length;i++)
	{		
		data[objs[i].name] = (data[objs[i].name] || []).concat(objs[i].value);		
	}

	return encodeURIComponent(JSON.stringify(data));
}

function parseJSON(antwort)
{		
	showAnswer(antwort);
	setWaitStyle(false);
}

//TODO: Optionale Funktion: SetWaitStyle(true) sollte das Interface sperren, SetWaitStyle(false) sollte das Interface wieder entsperren
function setWaitStyle (status)
{
}

//TODO: Diese Texte müssen eventuell angepasst werden, bzw. die Ausgabe an die Seite angepasst werden.
function showAnswer (text)
{
	var meldung = "";
	if (text  == 'geschickt')
	{
		meldung = 'Ihre Anfrage wurde weitergeleitet';
	}
	if (text  == 'erfolg')
	{
		meldung = 'Ihre Anfrage wurde erfolgreich aufgenommen';
	}
	if (text  == 'keyerror')
	{
		meldung = 'Technisches Gebrechen... Bitte haben Sie etwas Geduld.';
	}
	if (text  == 'email')
	{
		meldung = 'Bitte geben Sie eine E-Mail Adresse ein und schicken sie das Formular erneut.';
	}
	if (text  == 'subject')
	{
		meldung = 'Bitte geben Sie einen Betreff ein und schicken sie das Formular erneut.';
	}
	if (text  == 'abgestimmt')
	{
		meldung = 'Sie haben erfolgreich abgestimmt.';
	}
		
	window.alert(meldung);	
}

function speichern_anfrage()
{	
	sendData(server + "/anfrage_insert");
}

function laden_umfrage()
{	
	sendData(server + "/umfrage_load");
}

function speichern_umfrage()
{	
	sendData(server + "/umfrage_insert");
}

